Engines by Generation
Show all engines from specific generation.
curl --request GET \
--url https://api.remapdb.com/v2/engines/generation/{generation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/engines/generation/{generation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/engines/generation/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1234,
"name": "1.8i 125hp 170Nm",
"slug": "1-8i-125hp-170nm",
"engine_code": "XYZ",
"year": 2018,
"capacity": 1800,
"cylinders": 4,
"engine_type": "Petrol",
"fuel": "Petrol",
"ecus": [
{
"name": "EDC17CP54",
"manufacturer": "Bosch"
}
],
"tcus": [
{
"name": "8HP",
"manufacturer": "ZF"
}
],
"performance": {
"power": 150,
"torque": 270,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
49,
87,
112,
135,
140,
112,
0,
0
],
"nm": [
0,
238,
243,
238,
233,
205,
150,
0,
0
]
}
}
},
{
"id": 5678,
"name": "1.8T 150hp 210Nm",
"slug": "1-8t-150hp-210nm",
"engine_code": "AGU",
"capacity": 1781,
"cylinders": 4,
"engine_type": "Turbo Petrol",
"fuel": "Petrol",
"ecus": [
{
"model": "M3.8.3",
"manufacturer": "Bosch"
},
{
"model": "ME7.5",
"manufacturer": "Bosch"
}
],
"tcus": [],
"performance": {
"power": 150,
"torque": 210,
"dyno_values": {
"rpm": [
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000
],
"hp": [
0,
53,
93,
120,
144,
150,
120,
0,
0
],
"nm": [
0,
200,
204,
200,
196,
173,
126,
0,
0
]
}
}
}
]Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs "en"
Path Parameters
Generation ID.
1 <= x <= 9007199254740991Response
Success
1000Engine capacity in cubic cm.
1800
Number of cylinders.
4
List of ECU's used in this engine.
1000Show child attributes
Show child attributes
Engine code.
2048^[^\u0000-\u001F\u007F]*$"XYZ"
Engine type.
2048^[^\u0000-\u001F\u007F]*$"Petrol"
Name of the fuel.
2048^[^\u0000-\u001F\u007F]*$"Petrol"
Stable catalogue ID. Private IDs start at 4294967296; all IDs are exact JavaScript-safe integers.
1 <= x <= 90071992547409911234
Engine name.
2048^[^\u0000-\u001F\u007F]*$"1.8i 125hp 170Nm"
Engine performance object
Show child attributes
Show child attributes
URL-friendly name (slug).
2048^[^\u0000-\u001F\u007F]*$"1-8i-125hp-170nm"
List of TCU's used in this engine.
1000Show child attributes
Show child attributes
Year of manufacture.
2018
Shared catalogue record or an addition owned by the authenticated customer.
shared, private 